Bug 1122282 - [RFE] Admin Portal integration with Red Hat Support Tool
Summary: [RFE] Admin Portal integration with Red Hat Support Tool
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Eric Rich
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 20:34 UTC by Eric Rich
Modified: 2016-04-23 09:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-23 09:32:31 UTC
sspeiche: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 445443 None None None 2016-03-09 21:28:17 UTC

Description Eric Rich 2014-07-22 20:34:46 UTC
Description of problem:

It would be nice if the Admin Portal (OSE) have a tab or integrate with https://mojo.redhat.com/docs/DOC-927268 so that admins could use the admin portal to file support cases and provide logs from the OSE environment. 

Additional info:

Similar to https://bugzilla.redhat.com/show_bug.cgi?id=1122276 << the Red Hat support tool may want to take advantage of this RFE for filing cases on GEARS. 

Similar to https://bugzilla.redhat.com/show_bug.cgi?id=1039755 << the Red Hat support tool may want to take advantage of the sosreport plugin to collect OSE logs from Nodes (as reported by oo-mco ping) or the brokers (support nodes).

Comment 7 Eric Rich 2016-04-14 12:52:28 UTC
For more information on the Red Hat Support Tool:

https://access.redhat.com/articles/445443

For information on how other products have implemented this tool: 
https://access.redhat.com/articles/425603
https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/version-7/logging-monitoring-and-troubleshooting-guide/#openstack_dashboard_red_hat_access_tab


Keith, can you comment on how this was implemented in other products and how / what value it could have in OpenShift?


Note You need to log in before you can comment on or make changes to this bug.